# generated from catkin/cmake/template/pkgConfig.cmake.in

# append elements to a list and remove existing duplicates from the list
# copied from catkin/cmake/list_append_deduplicate.cmake to keep pkgConfig
# self contained
macro(_list_append_deduplicate listname)
  if(NOT "${ARGN}" STREQUAL "")
    if(${listname})
      list(REMOVE_ITEM ${listname} ${ARGN})
    endif()
    list(APPEND ${listname} ${ARGN})
  endif()
endmacro()

# append elements to a list if they are not already in the list
# copied from catkin/cmake/list_append_unique.cmake to keep pkgConfig
# self contained
macro(_list_append_unique listname)
  foreach(_item ${ARGN})
    list(FIND ${listname} ${_item} _index)
    if(_index EQUAL -1)
      list(APPEND ${listname} ${_item})
    endif()
  endforeach()
endmacro()

# pack a list of libraries with optional build configuration keywords
# copied from catkin/cmake/catkin_libraries.cmake to keep pkgConfig
# self contained
macro(_pack_libraries_with_build_configuration VAR)
  set(${VAR} "")
  set(_argn ${ARGN})
  list(LENGTH _argn _count)
  set(_index 0)
  while(${_index} LESS ${_count})
    list(GET _argn ${_index} lib)
    if("${lib}" MATCHES "^(debug|optimized|general)$")
      math(EXPR _index "${_index} + 1")
      if(${_index} EQUAL ${_count})
        message(FATAL_ERROR "_pack_libraries_with_build_configuration() the list of libraries '${ARGN}' ends with '${lib}' which is a build configuration keyword and must be followed by a library")
      endif()
      list(GET _argn ${_index} library)
      list(APPEND ${VAR} "${lib}${CATKIN_BUILD_CONFIGURATION_KEYWORD_SEPARATOR}${library}")
    else()
      list(APPEND ${VAR} "${lib}")
    endif()
    math(EXPR _index "${_index} + 1")
  endwhile()
endmacro()

# unpack a list of libraries with optional build configuration keyword prefixes
# copied from catkin/cmake/catkin_libraries.cmake to keep pkgConfig
# self contained
macro(_unpack_libraries_with_build_configuration VAR)
  set(${VAR} "")
  foreach(lib ${ARGN})
    string(REGEX REPLACE "^(debug|optimized|general)${CATKIN_BUILD_CONFIGURATION_KEYWORD_SEPARATOR}(.+)$" "\\1;\\2" lib "${lib}")
    list(APPEND ${VAR} "${lib}")
  endforeach()
endmacro()


if(cartographer_ros_CONFIG_INCLUDED)
  return()
endif()
set(cartographer_ros_CONFIG_INCLUDED TRUE)

# set variables for source/devel/install prefixes
if("FALSE" STREQUAL "TRUE")
  set(cartographer_ros_SOURCE_PREFIX /tmp/binarydeb/ros-kinetic-cartographer-ros-0.2.0)
  set(cartographer_ros_DEVEL_PREFIX /tmp/binarydeb/ros-kinetic-cartographer-ros-0.2.0/obj-arm-linux-gnueabihf/devel)
  set(cartographer_ros_INSTALL_PREFIX "")
  set(cartographer_ros_PREFIX ${cartographer_ros_DEVEL_PREFIX})
else()
  set(cartographer_ros_SOURCE_PREFIX "")
  set(cartographer_ros_DEVEL_PREFIX "")
  set(cartographer_ros_INSTALL_PREFIX /opt/ros/kinetic)
  set(cartographer_ros_PREFIX ${cartographer_ros_INSTALL_PREFIX})
endif()

# warn when using a deprecated package
if(NOT "" STREQUAL "")
  set(_msg "WARNING: package 'cartographer_ros' is deprecated")
  # append custom deprecation text if available
  if(NOT "" STREQUAL "TRUE")
    set(_msg "${_msg} ()")
  endif()
  message("${_msg}")
endif()

# flag project as catkin-based to distinguish if a find_package()-ed project is a catkin project
set(cartographer_ros_FOUND_CATKIN_PROJECT TRUE)

if(NOT "include;/usr/include/pcl-1.7;/usr/include/eigen3;/usr/include;/usr/include/ni;/usr/include/vtk-6.2;/usr/include/freetype2;/usr/include/arm-linux-gnueabihf/freetype2;/usr/include/arm-linux-gnueabihf;/usr/lib/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent;/usr/lib/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent/include;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/jsoncpp;/usr/include/hdf5/serial;/usr/include/python2.7;/usr/include/tcl;/usr/include/libxml2 " STREQUAL " ")
  set(cartographer_ros_INCLUDE_DIRS "")
  set(_include_dirs "include;/usr/include/pcl-1.7;/usr/include/eigen3;/usr/include;/usr/include/ni;/usr/include/vtk-6.2;/usr/include/freetype2;/usr/include/arm-linux-gnueabihf/freetype2;/usr/include/arm-linux-gnueabihf;/usr/lib/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent;/usr/lib/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent/include;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/jsoncpp;/usr/include/hdf5/serial;/usr/include/python2.7;/usr/include/tcl;/usr/include/libxml2")
  if(NOT " " STREQUAL " ")
    set(_report "Check the issue tracker '' and consider creating a ticket if the problem has not been reported yet.")
  elseif(NOT "https://github.com/googlecartographer/cartographer_ros " STREQUAL " ")
    set(_report "Check the website 'https://github.com/googlecartographer/cartographer_ros' for information and consider reporting the problem.")
  else()
    set(_report "Report the problem to the maintainer 'The Cartographer Authors <google-cartographer@googlegroups.com>' and request to fix the problem.")
  endif()
  foreach(idir ${_include_dirs})
    if(IS_ABSOLUTE ${idir} AND IS_DIRECTORY ${idir})
      set(include ${idir})
    elseif("${idir} " STREQUAL "include ")
      get_filename_component(include "${cartographer_ros_DIR}/../../../include" ABSOLUTE)
      if(NOT IS_DIRECTORY ${include})
        message(FATAL_ERROR "Project 'cartographer_ros' specifies '${idir}' as an include dir, which is not found.  It does not exist in '${include}'.  ${_report}")
      endif()
    else()
      message(FATAL_ERROR "Project 'cartographer_ros' specifies '${idir}' as an include dir, which is not found.  It does neither exist as an absolute directory nor in '\${prefix}/${idir}'.  ${_report}")
    endif()
    _list_append_unique(cartographer_ros_INCLUDE_DIRS ${include})
  endforeach()
endif()

set(libraries "cartographer_ros;yaml-cpp;optimized;/usr/lib/arm-linux-gnueabihf/libpcl_common.so;debug;/usr/lib/arm-linux-gnueabihf/libpcl_common.so;optimized;/usr/lib/arm-linux-gnueabihf/libpcl_octree.so;debug;/usr/lib/arm-linux-gnueabihf/libpcl_octree.so;optimized;/usr/lib/arm-linux-gnueabihf/libpcl_io.so;debug;/usr/lib/arm-linux-gnueabihf/libpcl_io.so;/usr/lib/arm-linux-gnueabihf/libboost_filesystem.so;/usr/lib/arm-linux-gnueabihf/libboost_thread.so;/usr/lib/arm-linux-gnueabihf/libboost_date_time.so;/usr/lib/arm-linux-gnueabihf/libboost_serialization.so;/usr/lib/arm-linux-gnueabihf/libboost_chrono.so;/usr/lib/arm-linux-gnueabihf/libboost_atomic.so;/usr/lib/libOpenNI.so;/usr/lib/arm-linux-gnueabihf/libvtkIOODBC-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonDataModel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonMath-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtksys-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonMisc-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonSystem-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonTransforms-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOSQL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonExecutionModel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libz.so;sqlite3;/usr/lib/arm-linux-gnueabihf/libtheoraenc.so;/usr/lib/arm-linux-gnueabihf/libtheoradec.so;/usr/lib/arm-linux-gnueabihf/libogg.so;/usr/lib/arm-linux-gnueabihf/libvtkRenderingGL2PS-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingContextOpenGL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingContext2D-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonColor-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersExtraction-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersGeneral-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkCommonComputationalGeometry-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersStatistics-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingFourier-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkalglib-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersGeometry-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersSources-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingFreeType-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libfreetype.so;/usr/lib/arm-linux-gnueabihf/libvtkftgl-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingOpenGL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingHybrid-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOImage-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkDICOMParser-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkmetaio-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libjpeg.so;/usr/lib/arm-linux-gnueabihf/libpng.so;/usr/lib/arm-linux-gnueabihf/libtiff.so;/usr/lib/libgl2ps.so;/usr/lib/arm-linux-gnueabihf/libvtkIOGDAL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOXMLParser-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libexpat.so;/usr/lib/arm-linux-gnueabihf/libvtkIOMPIImage-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkParallelMPI-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkParallelCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOLegacy-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOGeometry-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libjsoncpp.so;/usr/lib/arm-linux-gnueabihf/libvtkFiltersSMP-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOPLY-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkParallelMPI4Py-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libpython2.7.so;/usr/lib/arm-linux-gnueabihf/libxml2.so;/usr/lib/arm-linux-gnueabihf/libvtkIOMINC-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersHybrid-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingSources-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libnetcdf_c++.so;/usr/lib/arm-linux-gnueabihf/libnetcdf.so;/usr/lib/arm-linux-gnueabihf/hdf5/serial/lib/libhdf5.so;/usr/lib/arm-linux-gnueabihf/libpthread.so;/usr/lib/arm-linux-gnueabihf/libsz.so;/usr/lib/arm-linux-gnueabihf/libdl.so;/usr/lib/arm-linux-gnueabihf/libm.so;/usr/lib/arm-linux-gnueabihf/hdf5/serial/lib/libhdf5_hl.so;/usr/lib/arm-linux-gnueabihf/libvtkFiltersTexture-6.2.so.6.2.0;/usr/lib/libvtkWrappingTools-6.2.a;/usr/lib/arm-linux-gnueabihf/libvtkIONetCDF-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkInteractionWidgets-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersModeling-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingGeneral-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkInteractionStyle-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingAnnotation-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingColor-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingVolume-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingImage-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkViewsGeovis-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkGeovisCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOXML-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkInfovisLayout-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkInfovisCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkViewsCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libproj.so;/usr/lib/arm-linux-gnueabihf/libvtkViewsInfovis-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkChartsCore-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersImaging-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingLabel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOXdmf2-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkxdmf2-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOVPIC-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkVPIC-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOPostgreSQL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingStatistics-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersParallelMPI-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersParallel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOMPIParallel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingMatplotlib-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkPythonInterpreter-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkWrappingPython27Core-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkDomainsChemistry-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOParallelLSDyna-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOLSDyna-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOMovie-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersGeneric-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersAMR-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOEnSight-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkexoIIc-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersReebGraph-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersProgrammable-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersParallelStatistics-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkViewsContext2D-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingVolumeOpenGL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkTestingIOSQL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOFFMPEG-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingExternal-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingParallelLIC-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingLIC-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersPython-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingMath-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkWrappingJava-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersFlowPaths-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingStencil-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOImport-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOGeoJSON-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkInteractionImage-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersParallelImaging-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkLocalExample-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOParallelExodus-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOExodus-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersVerdict-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkverdict-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingFreeTypeOpenGL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOVideo-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOParallelXML-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingParallel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOParallel-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersHyperTree-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingLOD-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOParallelNetCDF-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkTestingRendering-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkRenderingFreeTypeFontConfig-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkTestingGenericBridge-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersSelection-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOMySQL-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOAMR-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOInfovis-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkImagingMorphological-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkIOExport-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersParallelFlowPaths-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkFiltersParallelGeometry-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libvtkInfovisBoostGraphAlgorithms-6.2.so.6.2.0;/usr/lib/arm-linux-gnueabihf/libboost_system.so;/usr/lib/arm-linux-gnueabihf/libboost_iostreams.so;/usr/lib/arm-linux-gnueabihf/libboost_regex.so")
foreach(library ${libraries})
  # keep build configuration keywords, target names and absolute libraries as-is
  if("${library}" MATCHES "^(debug|optimized|general)$")
    list(APPEND cartographer_ros_LIBRARIES ${library})
  elseif(${library} MATCHES "^-l")
    list(APPEND cartographer_ros_LIBRARIES ${library})
  elseif(${library} MATCHES "^-")
    # This is a linker flag/option (like -pthread)
    # There's no standard variable for these, so create an interface library to hold it
    if(NOT cartographer_ros_NUM_DUMMY_TARGETS)
      set(cartographer_ros_NUM_DUMMY_TARGETS 0)
    endif()
    # Make sure the target name is unique
    set(interface_target_name "catkin::cartographer_ros::wrapped-linker-option${cartographer_ros_NUM_DUMMY_TARGETS}")
    while(TARGET "${interface_target_name}")
      math(EXPR cartographer_ros_NUM_DUMMY_TARGETS "${cartographer_ros_NUM_DUMMY_TARGETS}+1")
      set(interface_target_name "catkin::cartographer_ros::wrapped-linker-option${cartographer_ros_NUM_DUMMY_TARGETS}")
    endwhile()
    add_library("${interface_target_name}" INTERFACE IMPORTED)
    if("${CMAKE_VERSION}" VERSION_LESS "3.13.0")
      set_property(
        TARGET
        "${interface_target_name}"
        APPEND PROPERTY
        INTERFACE_LINK_LIBRARIES "${library}")
    else()
      target_link_options("${interface_target_name}" INTERFACE "${library}")
    endif()
    list(APPEND cartographer_ros_LIBRARIES "${interface_target_name}")
  elseif(TARGET ${library})
    list(APPEND cartographer_ros_LIBRARIES ${library})
  elseif(IS_ABSOLUTE ${library})
    list(APPEND cartographer_ros_LIBRARIES ${library})
  else()
    set(lib_path "")
    set(lib "${library}-NOTFOUND")
    # since the path where the library is found is returned we have to iterate over the paths manually
    foreach(path /opt/ros/kinetic/lib;/opt/ros/kinetic/lib)
      find_library(lib ${library}
        PATHS ${path}
        NO_DEFAULT_PATH NO_CMAKE_FIND_ROOT_PATH)
      if(lib)
        set(lib_path ${path})
        break()
      endif()
    endforeach()
    if(lib)
      _list_append_unique(cartographer_ros_LIBRARY_DIRS ${lib_path})
      list(APPEND cartographer_ros_LIBRARIES ${lib})
    else()
      # as a fall back for non-catkin libraries try to search globally
      find_library(lib ${library})
      if(NOT lib)
        message(FATAL_ERROR "Project '${PROJECT_NAME}' tried to find library '${library}'.  The library is neither a target nor built/installed properly.  Did you compile project 'cartographer_ros'?  Did you find_package() it before the subdirectory containing its code is included?")
      endif()
      list(APPEND cartographer_ros_LIBRARIES ${lib})
    endif()
  endif()
endforeach()

set(cartographer_ros_EXPORTED_TARGETS "")
# create dummy targets for exported code generation targets to make life of users easier
foreach(t ${cartographer_ros_EXPORTED_TARGETS})
  if(NOT TARGET ${t})
    add_custom_target(${t})
  endif()
endforeach()

set(depends "cartographer_ros_msgs;eigen_conversions;geometry_msgs;message_runtime;nav_msgs;pcl_conversions;rosbag;roscpp;roslib;sensor_msgs;std_msgs;tf2;tf2_eigen;tf2_ros;urdf;visualization_msgs")
foreach(depend ${depends})
  string(REPLACE " " ";" depend_list ${depend})
  # the package name of the dependency must be kept in a unique variable so that it is not overwritten in recursive calls
  list(GET depend_list 0 cartographer_ros_dep)
  list(LENGTH depend_list count)
  if(${count} EQUAL 1)
    # simple dependencies must only be find_package()-ed once
    if(NOT ${cartographer_ros_dep}_FOUND)
      find_package(${cartographer_ros_dep} REQUIRED NO_MODULE)
    endif()
  else()
    # dependencies with components must be find_package()-ed again
    list(REMOVE_AT depend_list 0)
    find_package(${cartographer_ros_dep} REQUIRED NO_MODULE ${depend_list})
  endif()
  _list_append_unique(cartographer_ros_INCLUDE_DIRS ${${cartographer_ros_dep}_INCLUDE_DIRS})

  # merge build configuration keywords with library names to correctly deduplicate
  _pack_libraries_with_build_configuration(cartographer_ros_LIBRARIES ${cartographer_ros_LIBRARIES})
  _pack_libraries_with_build_configuration(_libraries ${${cartographer_ros_dep}_LIBRARIES})
  _list_append_deduplicate(cartographer_ros_LIBRARIES ${_libraries})
  # undo build configuration keyword merging after deduplication
  _unpack_libraries_with_build_configuration(cartographer_ros_LIBRARIES ${cartographer_ros_LIBRARIES})

  _list_append_unique(cartographer_ros_LIBRARY_DIRS ${${cartographer_ros_dep}_LIBRARY_DIRS})
  list(APPEND cartographer_ros_EXPORTED_TARGETS ${${cartographer_ros_dep}_EXPORTED_TARGETS})
endforeach()

set(pkg_cfg_extras "")
foreach(extra ${pkg_cfg_extras})
  if(NOT IS_ABSOLUTE ${extra})
    set(extra ${cartographer_ros_DIR}/${extra})
  endif()
  include(${extra})
endforeach()
